CRAN Package Check Results for Package knitr

Last updated on 2019-01-16 15:48:36 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.21 10.46 81.53 91.99 OK
r-devel-linux-x86_64-debian-gcc 1.21 6.60 62.46 69.06 OK
r-devel-linux-x86_64-fedora-clang 1.21 113.84 OK
r-devel-linux-x86_64-fedora-gcc 1.21 106.34 OK
r-devel-windows-ix86+x86_64 1.21 40.00 114.00 154.00 OK
r-patched-linux-x86_64 1.21 7.64 69.93 77.57 OK
r-patched-solaris-x86 1.21 130.10 ERROR
r-release-linux-x86_64 1.21 7.39 69.17 76.56 OK
r-release-windows-ix86+x86_64 1.21 72.00 108.00 180.00 OK
r-release-osx-x86_64 1.21 ERROR
r-oldrel-windows-ix86+x86_64 1.21 85.00 110.00 195.00 OK
r-oldrel-osx-x86_64 1.21 ERROR

Check Details

Version: 1.21
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘gifski’
Flavor: r-patched-solaris-x86

Version: 1.21
Check: examples
Result: ERROR
    Running examples in ‘knitr-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: raw_block
    > ### Title: Mark character strings as raw blocks in R Markdown
    > ### Aliases: raw_block raw_latex raw_html
    >
    > ### ** Examples
    >
    > knitr::raw_latex("\\emph{some text}")
    Error in if (rmarkdown::pandoc_version() < "2.0.0") warning("raw_block() requires Pandoc >= 2.0.0") :
     argument is of length zero
    Calls: <Anonymous> -> raw_block
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 1.21
Check: tests
Result: ERROR
     Running ‘run-all.R’ [21s/25s]
    Running the tests in ‘tests/run-all.R’ failed.
    Complete output:
     > library(testit)
     > test_pkg("knitr")
     Error from eval(expr, envir = envir, enclos = NULL)
     Error in if (rmarkdown::pandoc_version() < "2.0.0") warning("raw_block() requires Pandoc >= 2.0.0") :
     argument is of length zero
     Calls: test_pkg ... assert -> assert2 -> eval -> eval -> raw_latex -> raw_block
     In addition: Warning messages:
     1: In write_bib(pkgs, tempfile(), tweak = FALSE) :
     package(s) KernSmooth, boot, class, cluster, foreign, nnet, rpart, spatial, survival not found
     2: In write_bib(pkgs, tweak = TRUE) :
     package(s) KernSmooth, boot, class, cluster, foreign, nnet, rpart, spatial, survival not found
     3: In kable_markdown(x, padding = padding, ...) :
     The table should have a header (column names)
     Execution halted
Flavor: r-patched-solaris-x86

Version: 1.21
Check: tests
Result: ERROR
     Running ‘run-all.R’ [8s/8s]
    Running the tests in ‘tests/run-all.R’ failed.
    Complete output:
     > library(testit)
     > test_pkg("knitr")
     Error from eval(expr, envir = envir, enclos = NULL)
     Error in if (rmarkdown::pandoc_version() < "2.0.0") warning("raw_block() requires Pandoc >= 2.0.0") :
     argument is of length zero
     Calls: test_pkg ... assert -> assert2 -> eval -> eval -> raw_latex -> raw_block
     In addition: Warning message:
     In kable_markdown(x, padding = padding, ...) :
     The table should have a header (column names)
     Execution halted
Flavor: r-release-osx-x86_64

Version: 1.21
Check: tests
Result: ERROR
     Running ‘run-all.R’ [10s/10s]
    Running the tests in ‘tests/run-all.R’ failed.
    Complete output:
     > library(testit)
     > test_pkg("knitr")
     Error from eval(expr, envir = envir, enclos = NULL)
     Error in if (rmarkdown::pandoc_version() < "2.0.0") warning("raw_block() requires Pandoc >= 2.0.0") :
     argument is of length zero
     Calls: test_pkg ... assert -> assert2 -> eval -> eval -> raw_latex -> raw_block
     In addition: Warning message:
     In kable_markdown(x, padding = padding, ...) :
     The table should have a header (column names)
     Execution halted
Flavor: r-oldrel-osx-x86_64